<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::gui::DataPlot1D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_data_plot1_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1gui_1_1_data_plot1_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::gui::DataPlot1D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a 1D plot on the ground station.  
 <a href="classflair_1_1gui_1_1_data_plot1_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_data_plot1_d_8h_source.html">DataPlot1D.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::gui::DataPlot1D:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1gui_1_1_data_plot1_d.png" usemap="#flair::gui::DataPlot1D_map" alt=""/>
  <map id="flair::gui::DataPlot1D_map" name="flair::gui::DataPlot1D_map">
<area href="classflair_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="flair::gui::DataPlot" shape="rect" coords="0,0,126,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a75fdd0a5c2506ab59de05a7a7de1b10d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html#a75fdd0a5c2506ab59de05a7a7de1b10d">DataPlot1D</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, float ymin, float ymax)</td></tr>
<tr class="memdesc:a75fdd0a5c2506ab59de05a7a7de1b10d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a75fdd0a5c2506ab59de05a7a7de1b10d">More...</a><br /></td></tr>
<tr class="separator:a75fdd0a5c2506ab59de05a7a7de1b10d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a418a2533a0ebb0bdd09c3f6a731d121d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html#a418a2533a0ebb0bdd09c3f6a731d121d">~DataPlot1D</a> ()</td></tr>
<tr class="memdesc:a418a2533a0ebb0bdd09c3f6a731d121d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a418a2533a0ebb0bdd09c3f6a731d121d">More...</a><br /></td></tr>
<tr class="separator:a418a2533a0ebb0bdd09c3f6a731d121d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0837bfa0a3423c8ef25bf6cf1c2ba76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html#ab0837bfa0a3423c8ef25bf6cf1c2ba76">AddCurve</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *element, <a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a> color, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:ab0837bfa0a3423c8ef25bf6cf1c2ba76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from an IODataElement to the plot.  <a href="#ab0837bfa0a3423c8ef25bf6cf1c2ba76">More...</a><br /></td></tr>
<tr class="separator:ab0837bfa0a3423c8ef25bf6cf1c2ba76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3a47f720e4922ee6dd82a57279a3469"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html#ae3a47f720e4922ee6dd82a57279a3469">AddCurve</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *element, uint8_t r=255, uint8_t g=0, uint8_t b=0, std::string curve_name=&quot;&quot;)</td></tr>
<tr class="memdesc:ae3a47f720e4922ee6dd82a57279a3469"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a curve from an IODataElement to the plot.  <a href="#ae3a47f720e4922ee6dd82a57279a3469">More...</a><br /></td></tr>
<tr class="separator:ae3a47f720e4922ee6dd82a57279a3469"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a 1D plot on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a75fdd0a5c2506ab59de05a7a7de1b10d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::DataPlot1D::DataPlot1D </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ymax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a 1D plot at given position.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display the plot </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">ymin</td><td>default ymin of the plot </td></tr>
    <tr><td class="paramname">ymax</td><td>default ymax of the plot </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a418a2533a0ebb0bdd09c3f6a731d121d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::DataPlot1D::~DataPlot1D </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab0837bfa0a3423c8ef25bf6cf1c2ba76"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::gui::DataPlot1D::AddCurve </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a>&#160;</td>
          <td class="paramname"><em>color</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from an IODataElement to the plot. </p>
<p>Curve's color can be selected by its name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">element</td><td>element to plot </td></tr>
    <tr><td class="paramname">color</td><td>color of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve for the legend, if unspecified, element-&gt;<a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a" title="Name. ">ObjectName()</a> will be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae3a47f720e4922ee6dd82a57279a3469"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::gui::DataPlot1D::AddCurve </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *&#160;</td>
          <td class="paramname"><em>element</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>r</em> = <code>255</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>g</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>curve_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a curve from an IODataElement to the plot. </p>
<p>Curve's color can be selected by its RGB components.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">element</td><td>element to plot </td></tr>
    <tr><td class="paramname">r</td><td>red component of the curve </td></tr>
    <tr><td class="paramname">g</td><td>green component of the curve </td></tr>
    <tr><td class="paramname">b</td><td>blue component of the curve </td></tr>
    <tr><td class="paramname">curve_name</td><td>name of the curve for the legend, if unspecified, element-&gt;<a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a" title="Name. ">ObjectName()</a> will be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">DataPlot1D</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
